Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.ControlObjectsVisibility=function(){
throw Error.invalidOperation();
};
Telerik.Web.UI.ControlObjectsVisibility.prototype={None:0,CheckBoxes:1,RemoveButtons:2,ClearButtons:4,AddButton:8,DeleteSelectedButton:16,Default:(1|2|4|16),All:(1|2|4|8|16)};
Telerik.Web.UI.ControlObjectsVisibility.registerEnum("Telerik.Web.UI.ControlObjectsVisibility",false);
Type.registerNamespace("Telerik.Web.UI.RadUploadUtils");
Telerik.Web.UI.RadUploadUtils.Localization={"Remove":"Remove","Add":"Add","Clear":"Clear","Select":"Select","Delete":"Delete"};
function getRadUpload(_1){
return $find(_1);
}
Telerik.Web.UI.RadUpload=function(_2){
Telerik.Web.UI.RadUpload.initializeBase(this,[_2]);
this._height="";
this._formId="";
this._skin="";
this._enabled=true;
this._maxFileCount=0;
this._initialFileInputsCount=1;
this._inputSize=23;
this._controlObjectsVisibility=Telerik.Web.UI.ControlObjectsVisibility.Default;
this._showCheckboxes=true;
this._showRemoveButtons=true;
this._showClearButtons=true;
this._showAddButton=true;
this._showDeleteButton=true;
this._focusOnLoad=false;
this._enableFileInputSkinning=true;
this._readOnlyFileInputs=false;
this._allowedFileExtensions=[];
this._currentIndex=0;
this._localization=null;
this._rtlCalculated=false;
this._isRightToLeft=false;
};
Telerik.Web.UI.RadUpload.prototype={initialize:function(){
Telerik.Web.UI.RadUpload.callBaseMethod(this,"initialize");
this._updateFormProperties($get(this._formId));
this._listContainer=this._findElement("ListContainer");
if(!this._listContainer){
this._createListContainer();
}
if(this._getIsRightToLeft()){
this._applyRightToLeft();
}
this._addButton=this._initButton(this._findElement("AddButton"),"Add",this.addFileInput);
this._deleteButton=this._initButton(this._findElement("DeleteButton"),"Delete",this.deleteSelectedFileInputs);
var _3=this._maxFileCount==0?this._initialFileInputsCount:Math.min(this._initialFileInputsCount,this._maxFileCount);
for(var i=0;i<_3;i++){
this.addFileInput();
}
this._setAddDeleteButtonStates();
this._initialized=true;
},dispose:function(){
if(this._addButton){
$clearHandlers(this._addButton);
}
if(this._deleteButton){
$clearHandlers(this._deleteButton);
}
var _5=this._getRowCount();
for(var i=0;i<_5;i++){
var _7=this._getRow(i);
if(_7){
$clearHandlers(_7);
var _8=this.getFileInputFrom(_7);
if(_8){
$clearHandlers(_8);
}
var _9=this._getChildSelectButton(_7);
if(_9){
$clearHandlers(_9);
}
var _a=this._getChildFileNameInputField(_7);
if(_a){
$clearHandlers(_a);
}
}
}
Telerik.Web.UI.RadUpload.callBaseMethod(this,"dispose");
},_updateFormProperties:function(_b){
if(!_b){
_b=document.forms[0];
}
_b.enctype=_b.encoding="multipart/form-data";
},_getChildInputElement:function(_c,_d){
var _e=_c.getElementsByTagName("input");
for(var i=0;i<_e.length;i++){
if(_e[i].type==_d){
return _e[i];
}
}
return null;
},_getChildInputElements:function(row,_11){
var _12=[];
var _13=row.getElementsByTagName("input");
var num=0;
for(var i=0;i<_13.length;i++){
if(_13[i].type==_11){
_12[num]=_13[i];
num++;
}
}
return _12;
},_getChildUploadCheckbox:function(row){
var _17=new RegExp(this.get_id()+"checkbox\\d+$");
var _18=this._getChildInputElements(row,"checkbox");
for(var i=0;i<_18.length;i++){
if(_18[i].id.match(_17)){
return _18[i];
}
}
return null;
},_getChildSelectButton:function(row){
var _1b=/ruBrowse/;
var _1c=this._getChildInputElements(row,"button");
for(var i=0;i<_1c.length;i++){
if(_1b.test(_1c[i].className)){
return _1c[i];
}
}
return null;
},_getChildFileNameInputField:function(row){
var _1f=/ruFakeInput/;
var _20=this._getChildInputElements(row,"text");
for(var i=0;i<_20.length;i++){
if(_1f.test(_20[i].className)){
return _20[i];
}
}
return null;
},_getRowCount:function(){
var _22=this._listContainer.getElementsByTagName("li").length;
if(this._showAddButton||this._showDeleteButton){
return _22-1;
}else{
return _22;
}
},_getParentRow:function(_23){
if(!_23){
return null;
}
var _24=_23.parentNode;
while(_24.tagName!="LI"){
_24=_24.parentNode;
if(null==_24){
break;
}
}
return _24;
},_getRowIndex:function(row){
var _26=this._listContainer;
var _27=_26.getElementsByTagName("li");
for(var i=0;i<_27.length;i++){
if(_27[i]==row){
return i;
}
}
return null;
},_getRow:function(_29){
var _2a=this._listContainer;
var _2b=_2a.getElementsByTagName("li");
var _2c=(_29<_2b.length)?_2b[_29]:null;
return _2c;
},_addRow:function(_2d){
if(_2d<0){
_2d=0;
}
var row=document.createElement("LI");
var _2f=this._getRow(_2d);
var _30=this._listContainer;
if(_2f){
_30.insertBefore(row,_2f);
}else{
_30.appendChild(row);
}
return row;
},getID:function(_31){
return this.get_id()+_31+this._currentIndex;
},_findElement:function(_32){
var _33=this.get_id()+_32;
return $get(_33);
},_createListContainer:function(){
this._listContainer=document.createElement("ul");
this._listContainer.id=String.format("{0}ListContainer",this.get_id());
this._listContainer.className="ruInputs";
this._listContainer.style.height=this._height;
this.get_element().appendChild(this._listContainer);
},_getIsRightToLeft:function(){
if(!this._rtlCalculated){
var _34=this.get_element();
this._isRightToLeft=$telerik.getCurrentStyle(_34,"direction","ltr")=="rtl";
return this._isRightToLeft;
this._rtlCalculated=true;
}
return this._isRightToLeft;
},_applyRightToLeft:function(){
var _35=this.get_element();
if(/radupload_rtl/.test(_35.className)){
return;
}
$telerik.addCssClasses(_35,["radupload_rtl",String.format("RadUpload_{0}_rtl",this._skin)]);
},_initButton:function(_36,_37,_38){
if(_36){
var loc=this.get_localization();
_36.value=loc[_37];
if(this._enabled){
if(_38){
$addHandlers(_36,{"click":_38},this);
}
}else{
_36.disabled=true;
}
}
return _36;
},addFileInput:function(_3a){
var _3b=this.addFileInputAt(this._getRowCount());
if(this._initialized){
try{
_3b.focus();
}
catch(ex){
}
}
},addFileInputAt:function(_3c){
if(typeof (_3c)=="undefined"||_3c>this._getRowCount()){
_3c=this._getRowCount();
}
if(this._maxFileCount>0&&_3c>=this._maxFileCount){
return;
}
if(this._initialized){
var _3d=new Sys.CancelEventArgs();
this.raiseEvent("adding",_3d);
if(_3d.get_cancel()){
return;
}
}
this.addFileInputAtInternal(_3c);
},addFileInputAtInternal:function(_3e){
var row=this._addRow(_3e);
$addHandlers(row,{"click":this._rowClicked},this);
if(this._showCheckboxes){
this.appendCheckBox(row);
}
this.appendStyledFileInput(row);
if(this._showClearButtons){
this.appendClearButton(row);
}
if(this._showRemoveButtons){
this.appendRemoveButton(row);
}
this._setAddDeleteButtonStates();
var _40=new Sys.EventArgs();
_40._row=row;
_40.get_row=function(){
return this._row;
};
this.raiseEvent("added",_40);
this._currentIndex++;
return row;
},appendCheckBox:function(_41){
var _42=document.createElement("input");
_42.type="checkbox";
_42.id=_42.name=this.getID("checkbox");
_41.appendChild(_42);
_42.className="ruCheck";
_42.disabled=!this._enabled;
return _42;
},appendClearButton:function(_43){
var _44=document.createElement("input");
_44.type="button";
_44.id=this.getID("clear");
_43.appendChild(_44);
this._initButton(_44,"Clear");
_44.className="ruButton ruClear";
_44.name="ClearInput";
_44.disabled=!this._enabled;
return _44;
},appendRemoveButton:function(_45){
var _46=document.createElement("input");
_46.type="button";
_46.id=this.getID("remove");
_45.appendChild(_46);
var loc=this.get_localization();
_46.value=loc["Remove"];
_46.className="ruButton ruRemove";
_46.name="RemoveRow";
_46.disabled=!this._enabled;
return _46;
},appendStyledFileInput:function(_48){
var _49=this.createFileInput();
this._fileInput=_49;
$addHandlers(_49,{"change":this.uploadFileSelected},this);
var _4a=document.createElement("span");
_4a.className="ruFileWrap";
_48.appendChild(_4a);
_4a.appendChild(_49);
if(this._enableFileInputSkinning){
Sys.UI.DomElement.addCssClass(_4a,"ruStyled");
_49.className="ruFileInput";
this._appendFakeInput(_4a);
if(!this._readOnlyFileInputs){
$addHandlers(_49,{"keyup":this._syncFileInputContent},this);
}else{
$addHandlers(_49,{"keydown":this._cancelEvent},this);
}
if($telerik.standardsMode){
this._hideFileInput(_49);
_4a.style.position="static";
var _4b={"mousemove":this._getFileInputMouseMoveHandler(),"mouseover":this._getFileInputMouseMoveHandler(),"mouseout":this._getFileInputMouseOutHandler()};
$addHandlers(_49,_4b,this);
}
return _4a;
}else{
_49.className="";
if(this._readOnlyFileInputs){
$addHandlers(_49,{"keydown":this._cancelEvent},this);
}
return _49;
}
},_selectButtonMouseOver:function(e){
var _4d=e.target||e.srcElement;
var row=this._getParentRow(_4d);
var _4f=this.getFileInputFrom(row);
this._positionFileInput(_4f,_4d,this._getChildFileNameInputField(row),e);
},_selectButtonMouseOut:function(e){
var _51=e.target||e.srcElement;
var row=this._getParentRow(_51);
var _53=this.getFileInputFrom(row);
this._hideFileInput(_53);
},_hideFileInput:function(_54){
var _55={x:0,y:-5000};
$telerik.setLocation(_54,_55);
},_getScrollBarWidth:function(){
var _56,_57=0;
var _58=document.createElement("div");
_58.style.position="absolute";
_58.style.top="-1000px";
_58.style.left="-1000px";
_58.style.width="100px";
_58.style.height="50px";
_58.style.overflow="hidden";
var _59=document.createElement("div");
_59.style.width="100%";
_59.style.height="200px";
_58.appendChild(_59);
document.body.appendChild(_58);
var _5a=_59.offsetWidth;
_58.style.overflow="auto";
var _5b=_59.offsetWidth;
this._scrollbarWidth=_5a-_5b;
if(this._scrollbarWidth<=0){
_59.style.width="300px";
_56=_58.offsetWidth;
_57=_58.clientWidth;
this._scrollbarWidth=_56-_57;
}
if(this._scrollbarWidth<=0){
this._scrollbarWidth=16;
}
document.body.removeChild(document.body.lastChild);
return this._scrollbarWidth;
},_positionFileInput:function(_5c,_5d,_5e,e){
var _60;
if($telerik.isMouseOverElement(_5d,e)){
var _61=$telerik.getDocumentRelativeCursorPosition(e);
_60={x:_61.left+10-_5c.offsetWidth,y:_61.top+10-_5c.offsetHeight};
_60=this._adjustLocationToNonStaticParent(_60,_5d);
if(this._getIsRightToLeft()){
_60.x+=_5e.offsetWidth;
}
}else{
if($telerik.isMouseOverElement(_5e,e)){
_60=$telerik.getLocation(_5e);
_60=this._adjustLocationToNonStaticParent(_60,_5e);
if(this._getIsRightToLeft()){
_60.x-=_5d.offsetWidth;
if($telerik.isIE&&document.body.dir=="rtl"){
_60.x-=this._getScrollBarWidth();
}
}
}else{
this._hideFileInput(_5c);
return;
}
}
$telerik.setLocation(_5c,_60);
},_adjustLocationToNonStaticParent:function(_62,_63){
var _64=this._getFirstNonStaticParent();
if(_64){
var _65=$telerik.getLocation(_64);
_62.x-=_65.x;
_62.y-=_65.y;
if($telerik.isFirefox){
_62.y-=parseInt($telerik.getCurrentStyle(_63,"paddingTop",0));
_62.y-=parseInt($telerik.getCurrentStyle(_63,"paddingBottom",0));
_62.y-=parseInt($telerik.getCurrentStyle(_63,"borderTop",0));
_62.y-=parseInt($telerik.getCurrentStyle(_63,"borderBottom",0));
_62.y-=parseInt($telerik.getCurrentStyle(_63,"marginTop",0));
_62.y-=parseInt($telerik.getCurrentStyle(_63,"marginBottom",0));
if(_64.tagName.toLowerCase()=="fieldset"){
var _66=_64.getElementsByTagName("legend");
if(_66.length>0){
_62.y-=_66[0].offsetHeight;
}
if(_63.type=="text"){
_62.x-=parseInt($telerik.getCurrentStyle(_64,"marginLeft"))+2||2;
}
_62.y-=parseInt($telerik.getCurrentStyle(_64,"paddingTop",0));
_62.x-=parseInt($telerik.getCurrentStyle(_64,"paddingLeft",0));
}
}
}
return _62;
},_getLocation:function(_67){
var l=$telerik.getLocation(_67);
return l;
},_getFirstNonStaticParent:function(){
if(typeof (this._firstNonStaticParent)=="undefined"){
this._firstNonStaticParent=null;
var _69=this.get_element();
while(_69&&_69.nodeType!=9&&this._isElementStatic(_69)){
_69=_69.parentNode;
}
if(_69&&_69.nodeType!=9){
this._firstNonStaticParent=_69;
}
}
return this._firstNonStaticParent;
},_isElementStatic:function(_6a){
var _6b=true;
var _6c=$telerik.getCurrentStyle(_6a,"position").toLowerCase();
if(_6c!=""&&_6c!="static"){
_6b=false;
}
return _6b;
},_fileInputMouseMove:function(e){
var _6e=e.target||e.srcElement;
if(_6e.type!="file"){
return;
}
var row=this._getParentRow(_6e);
if(!row){
return;
}
var _70=this._getChildSelectButton(row);
this._positionFileInput(_6e,_70,this._getChildFileNameInputField(row),e);
},_fileInputMouseOut:function(e){
var _72=e.target||e.srcElement;
if(_72.type!="file"){
return;
}
var row=this._getParentRow(_72);
if(!row){
return;
}
var _74=this._getChildSelectButton(row);
this._positionFileInput(_72,_74,this._getChildFileNameInputField(row),e);
},_onFakeFileInputMouseEvent:function(e){
var _76=e.target||e.srcElement;
var row=this._getParentRow(_76);
var _78=this.getFileInputFrom(row);
if($telerik.getLocation(_76)==$telerik.getLocation(_78)){
return;
}
this._positionFileInput(_78,this._getChildSelectButton(row),_76,e);
},_getFileInputMouseMoveHandler:function(){
if(this._fileInputMouseMoveHandler==null){
this._fileInputMouseMoveHandler=Function.createDelegate(this,this._fileInputMouseMove);
}
return this._fileInputMouseMoveHandler;
},_getFileInputMouseOutHandler:function(){
if(this._fileInputMouseOutHandler==null){
this._fileInputMouseOutHandler=Function.createDelegate(this,this._fileInputMouseOut);
}
return this._fileInputMouseOutHandler;
},_getSelectButtonMouseOverHandler:function(){
if(this._selectButtonMouseOverHandler==null){
this._selectButtonMouseOverHandler=Function.createDelegate(this,this._selectButtonMouseOver);
}
return this._selectButtonMouseOverHandler;
},_getSelectButtonMouseOutHandler:function(){
if(this._selectButtonMouseOutHandler==null){
this._selectButtonMouseOutHandler=Function.createDelegate(this,this._selectButtonMouseOut);
}
return this._selectButtonMouseOutHandler;
},_getFakeFileInputMouseHandler:function(){
if(this._fakeFileInputMouseHandler==null){
this._fakeFileInputMouseHandler=Function.createDelegate(this,this._onFakeFileInputMouseEvent);
}
return this._fakeFileInputMouseHandler;
},_initFakeInputSelectButton:function(_79){
var _7a={"mouseover":this._getSelectButtonMouseOverHandler(),"mouseout":this._getSelectButtonMouseOutHandler()};
if($telerik.isIE){
_7a["mousemove"]=this._getSelectButtonMouseOverHandler();
}
$addHandlers(_79,_7a,this);
},_appendFakeInput:function(_7b){
var _7c=document.createElement("input");
_7c.type="text";
_7c.className="ruFakeInput";
_7c.size=this._inputSize-1;
if($telerik.standardsMode){
var _7d={"mouseover":this._getFakeFileInputMouseHandler(),"mousemove":this._getFakeFileInputMouseHandler(),"mouseout":this._getFakeFileInputMouseHandler()};
$addHandlers(_7c,_7d,this);
}
_7b.appendChild(_7c);
var _7e=document.createElement("input");
_7e.type="button";
_7b.appendChild(_7e);
this._initButton(_7e,"Select");
this._initFakeInputSelectButton(_7e);
_7e.disabled=!this._enabled;
_7e.className="ruButton ruBrowse";
if($telerik.isSafari){
var _7f=$telerik.getBounds(_7e).width;
var _80=$telerik.getBounds(_7c).width;
var _81=this._fileInput;
if(_81){
_81.style.width=(_7f+_80)+"px";
}
}
},createFileInput:function(){
var _82=document.createElement("input");
_82.type="file";
_82.name=this.getID("file");
_82.id=this.getID("file");
_82.disabled=!this._enabled;
_82.size=this._inputSize;
return _82;
},_setAddDeleteButtonStates:function(){
var _83=this._getRowCount();
this._setButtonState(this._deleteButton,_83>0);
this._setButtonState(this._addButton,(this._maxFileCount<=0)||(_83<this._maxFileCount));
},_setButtonState:function(_84,_85){
if(_84){
if(_85){
Sys.UI.DomElement.removeCssClass(_84,"ruButtonDisabled");
}else{
Sys.UI.DomElement.addCssClass(_84,"ruButtonDisabled");
}
}
},_cancelEvent:function(_86){
return $telerik.cancelRawEvent(_86);
},clearFileInputAt:function(_87){
var row=this._getRow(_87);
if(row){
var _89=new Sys.CancelEventArgs();
_89._fileInputField=this.getFileInputFrom(row);
_89.get_fileInputField=function(){
return this._fileInputField;
};
this.raiseEvent("clearing",_89);
if(_89.get_cancel()){
return false;
}
this.deleteFileInputAt(_87,true);
this.addFileInputAtInternal(_87,true);
}
},deleteSelectedFileInputs:function(_8a){
var _8b=[];
var _8c=[];
var _8d=this._getRowCount()-1;
for(var i=_8d;i>=0;i--){
var _8f=this._getRow(i);
var _90=this._getChildUploadCheckbox(_8f);
if(_90&&_90.checked){
_8c[_8c.length]=i;
_8b[_8b.length]=this.getFileInputFrom(_8f);
}
}
var _91=new Sys.CancelEventArgs();
_91._fileInputFields=_8b;
_91.get_fileInputFields=function(){
return this._fileInputFields;
};
this.raiseEvent("deletingSelected",_91);
if(_91.get_cancel()){
return;
}
for(var i=0;i<_8c.length;i++){
this.deleteFileInputAt(_8c[i],true);
}
},deleteFileInputAt:function(_92,_93){
var row=this._getRow(_92);
if(row){
if(!_93){
var _95=new Sys.CancelEventArgs();
_95._fileInputField=this.getFileInputFrom(row);
_95.get_fileInputField=function(){
return this._fileInputField;
};
this.raiseEvent("deleting",_95);
if(_95.get_cancel()){
return false;
}
}
var _96=this._getChildSelectButton(row);
if(_96){
$clearHandlers(_96);
}
$clearHandlers(row);
row.parentNode.removeChild(row);
this._setAddDeleteButtonStates();
}
},getFileInputFrom:function(row){
return this._getChildInputElement(row,"file");
},getFileInputs:function(){
var _98=[];
var _99=this._getRowCount();
for(var i=0;i<_99;i++){
_98[_98.length]=this.getFileInputFrom(this._getRow(i));
}
return _98;
},uploadFileSelected:function(e){
if(this._enableFileInputSkinning){
this._syncFileInputContent(e);
}
var _9c=e.target;
_9c.alt=_9c.title=_9c.value;
var _9d=new Sys.EventArgs();
_9d._fileInputField=_9c;
_9d.get_fileInputField=function(){
return this._fileInputField;
};
this.raiseEvent("fileSelected",_9d);
},_syncFileInputContent:function(e){
var _9f=e.target;
var _a0=_9f.parentNode.getElementsByTagName("input");
var _a1=null;
for(var i=0;i<_a0.length;i++){
var _a3=_a0[i];
if(_a3.type=="text"){
_a1=_a3;
break;
}
}
if(_9f!==_a1){
_a1.value=_9f.value;
_a1.title=_9f.value;
}
},isExtensionValid:function(_a4){
if(_a4==""){
return true;
}
var _a5=this._allowedFileExtensions.length;
for(var i=0;i<_a5;i++){
var _a7=this._allowedFileExtensions[i];
var _a8=_a7.substring(1);
var _a9=new RegExp("."+_a8+"$","ig");
if(_a4.match(_a9)){
return true;
}
}
return false;
},validateExtensions:function(){
var _aa=this._getRowCount();
for(var i=0;i<_aa;i++){
var row=this._getRow(i);
var _ad=this.getFileInputFrom(row).value;
if(!this.isExtensionValid(_ad)){
return false;
}
}
return true;
},_rowClicked:function(e){
var _af=e.target;
var _b0=this._getParentRow(_af);
var _b1=this._getRowIndex(_b0);
if(_af.name=="RemoveRow"){
this.deleteFileInputAt(_b1);
}else{
if(_af.name=="ClearInput"){
this.clearFileInputAt(_b1);
}
}
},get_localization:function(){
return this._localization;
},set_localization:function(_b2){
this._localization=_b2;
},get_inputSize:function(){
return this._inputSize;
},set_inputSize:function(_b3){
this._inputSize=_b3;
},get_controlObjectsVisibility:function(){
return this._controlObjectsVisibility;
},set_controlObjectsVisibility:function(_b4){
this._controlObjectsVisibility=_b4;
var _b5=Telerik.Web.UI.ControlObjectsVisibility;
this._showCheckboxes=(_b4&_b5.CheckBoxes);
this._showRemoveButtons=(_b4&_b5.RemoveButtons);
this._showClearButtons=(_b4&_b5.ClearButtons);
this._showAddButton=(_b4&_b5.AddButton);
this._showDeleteButton=(_b4&_b5.DeleteSelectedButton);
},get_allowedFileExtensions:function(){
return this._allowedFileExtensions;
},set_allowedFileExtensions:function(_b6){
if(!_b6){
this._allowedFileExtensions=[];
}else{
this._allowedFileExtensions=eval(_b6);
}
},get_enabled:function(){
return this._enabled;
},set_enabled:function(_b7){
this._enabled=_b7;
},get_maxFileCount:function(){
return this._maxFileCount;
},set_maxFileCount:function(_b8){
this._maxFileCount=_b8;
},get_initialFileInputsCount:function(){
return this._initialFileInputsCount;
},set_initialFileInputsCount:function(_b9){
this._initialFileInputsCount=_b9;
},get_enableFileInputSkinning:function(){
return this._enableFileInputSkinning;
},set_enableFileInputSkinning:function(_ba){
this._enableFileInputSkinning=_ba;
},get_focusOnLoad:function(){
return this._focusOnLoad;
},set_focusOnLoad:function(_bb){
this._focusOnLoad=_bb;
},get_formId:function(){
return this._formId;
},set_formId:function(_bc){
this._formId=_bc;
},get_readOnlyFileInputs:function(){
return this._readOnlyFileInputs;
},set_readOnlyFileInputs:function(_bd){
this._readOnlyFileInputs=_bd;
},add_adding:function(_be){
this.get_events().addHandler("adding",_be);
},remove_adding:function(_bf){
this.get_events().removeHandler("adding",_bf);
},add_added:function(_c0){
this.get_events().addHandler("added",_c0);
},remove_added:function(_c1){
this.get_events().removeHandler("added",_c1);
},add_fileSelected:function(_c2){
this.get_events().addHandler("fileSelected",_c2);
},remove_fileSelected:function(_c3){
this.get_events().removeHandler("fileSelected",_c3);
},add_deleting:function(_c4){
this.get_events().addHandler("deleting",_c4);
},remove_deleting:function(_c5){
this.get_events().removeHandler("deleting",_c5);
},add_clearing:function(_c6){
this.get_events().addHandler("clearing",_c6);
},remove_clearing:function(_c7){
this.get_events().removeHandler("clearing",_c7);
},add_deletingSelected:function(_c8){
this.get_events().addHandler("deletingSelected",_c8);
},remove_deletingSelected:function(_c9){
this.get_events().removeHandler("deletingSelected",_c9);
}};
Telerik.Web.UI.RadUpload.registerClass("Telerik.Web.UI.RadUpload",Telerik.Web.UI.RadWebControl);

